*, *::after, *::before {
    box-sizing: border-box;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

:root {
    --green: #203c26;
    --white: #ffffff;
    --lightgreen: #2c5234;
    --accent: #8b4513;
    --wrong-key: #949494;
    --wrong-location:#d5d03d;
}

body {
    background-color: var(--white);
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    margin: 0;
    padding: 0;
    font-size: clamp(.5rem, 2.5vw, 1.5rem);
}

.content-container {
    display: block; /* Changes from grid to a standard block */
    width: 100%;
    max-width: 1200px; /* Optional: keeps it from getting TOO wide on giant monitors */
    margin: 0 auto;
    padding: 20px;
}

.game-card {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    max-width: 650px;
}

/* 1. Keyboard Styles*/

.keyboard {
    display: grid;
    grid-template-columns: repeat(20, minmax(auto, 1.25em));
    grid-auto-rows: 2.5em;
    gap: .25em;
    justify-content: center;
}

.key {
    font-size: 16px;
    grid-column: span 2;
    background-color: hsl(
        var(--hue, 133),
        var(--saturation, 30%), 
        calc(var(--lightness-offset, 0%) + var(--lightness, 25%))
    );
    color: var(--white);
    fill: var(--white);
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    text-transform: uppercase;
    border-radius: .25em;
    cursor: pointer;
    user-select: none;
    touch-action: manipulation;
}

.key.large {
    grid-column: span 3;
}

.key svg {
    pointer-events: none;
}

.key > svg {
    width: 1.75em;
    height: 1.75em;
}

.key:hover, .key:focus {
    --lightness-offset: 10%;
}

.key.wrong {
    background-color: var(--wrong-key);
}

.key.wrong-location {
    background-color: var(--wrong-location);
}

.key.correct {
    --lightness: 40%;
}

/* 2. Grid Styles*/

.guess-grid {
    display: grid;
    justify-content: center;
    align-content: center;
    flex-grow: 1;
    grid-template-columns: repeat(5, 2.75em);
    grid-template-rows: repeat(6, 2.75em);
    gap: .25em;
    margin-bottom: 1em;
}

.tile {
    display: flex;
    justify-content: center;
    align-items: center;
    text-transform: uppercase;
    color: var(--white);
    border: .075em solid #000000;
    background-color: hsl(
        var(--hue, 133),
        var(--saturation, 30%), 
        calc(var(--lightness-offset, 0%) + var(--lightness, 25%))
    );
    font-size: 1.5rem;
    font-weight: bold;   
    transition: transform 250ms linear;
    touch-action: manipulation;
}

.tile.shake {
    animation: shake 250ms ease-in-out;
}

.tile.dance {
    animation: dance 500ms ease-in-out;
}

@keyframes shake {
  10% {
    transform: translateX(-5%);
  }

  30% {
    transform: translateX(5%);
  }

  50% {
    transform: translateX(-7.5%);
  }

  70% {
    transform: translateX(7.5%);
  }

  90% {
    transform: translateX(-5%);
  }

  100% {
    transform: translateX(0);
  }
}

@keyframes dance {
  20% {
    transform: translateY(-50%);
  }  

  40% {
    transform: translateY(5%);
  }  

  60% {
    transform: translateY(-25%);
  }  

  80% {
    transform: translateY(2.5%);
  }  

  90% {
    transform: translateY(-5%);
  }  

  100% {
    transform: translateY(0);
  }
}

.tile.correct {
    --lightness: 40%;
}

.tile.wrong {
    background-color: var(--wrong-key);
}

.tile.wrong-location {
    background-color: var(--wrong-location);
}

.tile[data-state="active"] {
    border-color: hsl(123, 17%, 74%);
}

.tile[data-state="wrong"] {
    background-color: var(--wrong-key);
}

.tile[data-state="correct"] {
    --lightness: 40%;
}

.tile[data-state="wrong-location"] {
    background-color: var(--wrong-location);
}

.tile.flip {
  transform: rotateX(90deg);
}

/* 3. Other Styles*/

.alert-container {
    position: fixed;
    top: 10vh;
    left: 50vw;
    transform: translateX(-50%);
    z-index: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 8px;
}

.alert {
    pointer-events: none;
    background-color: var(--green);
    color: var(--white);
    padding: .75em;
    border-radius: .25em;
    opacity: 1;
    margin-bottom: .5em;
}

.alert:last-child {
    margin-bottom: 0;
}

.alert.hide {
    opacity: 0;
}

@media (max-width: 600px) {
    .tile {
        font-size: 1rem;
    }
}